<template>
<tr>
    <td class="text-center">{{ row + 1 }}.</td>
    <td class="project-title">
        <router-link :to="{ name: 'employee_profile', params: { id: employee.id } }">
            {{ employee.full_name }}
        </router-link>
        <br>
        <small>{{ employee.address }}</small>
    </td>
    <td class="project-title">
        <div v-if="employee.latest_pan">
        <router-link :to="{ name: 'employee_profile', params: { id: employee.id } }">
            {{ employee.latest_pan.job_title }}
        </router-link>
        <br>
        <small>Department: {{ employee.latest_pan.department }}</small>
        </div>
        <div v-else>--</div>
    </td>
    <td class="project-title">{{ employee.display_hired_date }}</td>
    <td class="project-actions text-right">
        <button class="btn btn-white btn-sm" @click="del( employee.id )"> 
            <i class="fa fa-trash-o"></i>&nbsp;&nbsp;Delete&nbsp;&nbsp;&nbsp;
        </button>

        <router-link class="btn btn-white btn-sm" :to="{ name: 'employee_profile', params: { id: employee.id } }">
            <i class="fa fa-folder-open"></i>&nbsp;&nbsp;View&nbsp;&nbsp;&nbsp;
        </router-link>
    </td>
</tr>
</template>

<script>
export default {
    props: [
        'employee',
        'row'
    ],
    methods: {
        del( id ){
            this.$emit('delete', id)
        }
    }
}
</script>

